• ベストアンサー
  • 困ってます

JAVA実行環境が見つからない?

WindowsXP上で、FreeMindというマインドマップを作成するフリーソフトをインストールしたところ、 FreeMind requires version Java 1.4.0 or higher (your version:1.3.1_01, installed in C:\Program Files\Oracle\jre\1.3.1). というメッセージが表示されて、起動できませんでした。 そこで、ネット上から最新のJRE SE v1.4.2_19をインストールしたのですが、状況は変わりませんでした。 プログラムの追加と削除のインストール済みソフトのリストを見たところ、JAVA関係のRuntimeモジュールが J2SE Runtime Environment 5.0 Update 10 J2SE Runtime Environment 5.0 Update 11 J2SE Runtime Environment 5.0 Update 6 J2SE Runtime Environment 5.0 Update 9 Java 2 Runtime Environment, SE v1.4.2_03 Java 2 Runtime Environment, SE v1.4.2_19 Java(TM) 6 Update 2 Java(TM) 6 Update 3 Java(TM) 6 Update 5 Java(TM) 6 Update 7 Java(TM) SE Runtime Environment 6 Update1 と多数表示されていました。 まず、インストールするJava実行環境を間違えていますでしょうか? また、なぜJavaの実行環境は、こんなにたくさんインストールされているのでしょうか?(同名の古いUpdateを削除しても問題ないでしょうか?) どなたかご教示願えますでしょうか?

共感・応援の気持ちを伝えよう!

  • 回答数3
  • 閲覧数2211
  • ありがとう数1

質問者が選んだベストアンサー

  • ベストアンサー
  • 回答No.3
noname#226104

「コントロールパネル」の「Java」の「Java Runtime Environment設定」画面で、バージョンごとにJavaの有効、無効を切り替えられるようになっています。 まず、最新のJREを残して、その他を無効にして動作確認し、何を有効にし、何を無効にするとちょうどよいのかを見極めてはいかがでしょうか。

参考URL:
http://freemind.asia/faqs/trouble/save.html

共感・感謝の気持ちを伝えよう!

関連するQ&A

  • Javaのファイル削除について

    ウィンドウズXPを使っています。 PCの動作が重いので不要ファイルを削除したいのですが、 Java(TM)6 update2 Java(TM)6 update3 Java(TM)6 update5 Java (TM)SE Runtime environment6 update1 とあるうちのどれかは削除しても良いものなのでしょうか? また J2SE Runtime environment 5.0 update10 J2SE Runtime environment 5.0 update11 J2SE Runtime environment 5.0 update6 J2SE Runtime environment 5.0 update9 と並んでいるのですが、これも全部必要で無ければ削除したいと思うのですが良いのでしょうか? よろしくお願い致します。

  • javaについて

    プログラムの追加と削除を見たら J2SE Runtime Environment 5.0 Update 11 Java(TM)6 Update 2 Java(TM)SE Runtime Environment 6 Update 1 の三つがあったのですが 全部必要なのでしょうか? Java(TM)6 Update 2 以外は削除してもよいのでしょうか?

  • 「アプリケーションの追加と削除」に表示されているJAVA Updateプログラムの古いものは削除してもいいのでしょうか

    「アプリケーションの追加と削除」を見ると、Updateプログラムがたくさん入っています。これらのうち古いもの(末尾の数字の小さいもの)は削除しても問題ないのでしょうか。 次のようなものが入っていて、かなりの容量を食っています。 J2SE Runtime Environment 5.0 Update 10 J2SE Runtime Environment 5.0 Update 11 J2SE Runtime Environment 5.0 Update 5 J2SE Runtime Environment 5.0 Update 6 J2SE Runtime Environment 5.0 Update 8 J2SE Runtime Environment 5.0 Update 9 Java(TM) SE Runtime Environment 6 Update 1 Java(TM)6 Update 2 Java(TM)6 Update 3 Java(TM)6 Update 5 Java(TM)6 Update 6 Java(TM)6 Update 7 以上のうち下記の3つを残しておけばいいような気がします。 真ん中のものも不要でしょうか? J2SE Runtime Environment 5.0 Update 11 Java(TM) SE Runtime Environment 6 Update 1 Java(TM)6 Update 7

その他の回答 (2)

  • 回答No.2

こんにちは そのエラーメッセージはv1.4以上のjavaが必要と言うだけで 1.4が必要と言うわけではないですね。 またJavaのバージョンですけど、古いのは特に必要ないですよ。 http://www.java.com/ja/download/faq/remove_olderversions.xml 確かに旧バージョンに依存するケースはあるとのことですけど Java(TM) 6 Update 7とJava(TM) 6 Update 11 しか入れていないXP(古いのは削除済み)で、テスト的に、 FreeMindのv0.81をこのXPにインストールし、起動して見ました が問題なく、起動できましたよ。 pathの設定は特に必要ないものですけど、javaの再インストール http://java.sun.com/javase/ja/6/download.html されてはどうですか?(今確認するとUpdate 12になってますね) では。

参考URL:
http://www.freemind-club.com/

共感・感謝の気持ちを伝えよう!

  • 回答No.1

>(your version:1.3.1_01, installed in C:\Program Files\Oracle\jre\1.3.1). あなたの場合、ココにパスが通っているんだと思います。 つまり JRE 1.3.1 が使われている… コントロールパネルの 「システム」「詳細設定」「環境変数」で PATH の値を希望するJavaのバージョンに切り替えてください。 たぶん PATH に C:\Program Files\Oracle\jre\1.3.1\bin とかが指定されていると思いますので、これを JAVA6 だったら C:\Program Files\Java\jre6\bin に変えます。あなたが過去にインストールした Java のパスを確認してくださいね。 >同名の古いUpdateを削除しても問題ないでしょうか? 通常はそうなんですけど、古いバージョンでないと動かないソフトもあったりするので、なんとも言えないです。

共感・感謝の気持ちを伝えよう!

関連するQ&A

  • Java Runtimeの削除について

    Java(TM) SE Runtime Environment 6 Update 1 J2SE Runtime Environment 5.0 Update 2 Java 2 Runtime Environment, SE v1.4.2_15 Java(TM) 6 Update 2 上の4つがすべて100MBを超えていたので、あまり考えずに削除してしまったのですが、このプログラムがないと何かできなくなることはありますか?

    • ベストアンサー
    • Java
  • J2SEとJAVA(TM)がいっぱい

    初心者のため、よく分からないので質問させてもらいました。 [プログラムの追加と削除]内にJ2SEが5つ、JAVA(TM)が3つ入っていました。 それぞれ約140MB取っているので、削れるなら削りたいのですが・・・。 (メモリー不足のために) 入っているのは、 ・J2SE Runtime Environment 5.0(91.66MB) ・J2SE Runtime Environment 5.0 Update 10(145.00MB) ・J2SE Runtime Environment 5.0 Update 11(146.00MB) ・J2SE Runtime Environment 5.0 Update 6(145.00MB) ・J2SE Runtime Environment 5.0 Update 9(145.00MB) ・Java(TM) 6 Update 2(133.00MB) ・Java(TM) 6 Update 3(133.00MB) ・Java(TM) SE Runtime Environment 6 Update 1(159.00MB) です。 メモリ確保の為に要らないものを消したいのですが、どれを消してよいかわからなくて。 アドバイスをお願いします。

    • ベストアンサー
    • Java
  • プログラムの追加と削除にあるソフトについて

    プログラムの追加と削除にあるソフトを削除したいのですが、よくわからないソフトがあります。削除しても良いものでしょうか。ソフトの名前は次のようなものです。  ・J2SE Runtime Environment 5.0 Update 2 ・J2SE Runtime Environment 5.0 Update 4  ・J2SE Runtime Environment 5.0 Update 6 ・J2SE Runtime Environment 5.0 Update 9  ・J2SE Runtime Environment 5.0 Update 10 ・J2SE Runtime Environment 5.0 Update 11 ・Java(TM) 6 Update 2 ・Java(TM) 6 Update 3 ・Java(TM) 6 Update 5 ・Java(TM) 6 Update 7 ・Java(TM) 6 Update 26 ・Java(TM) SE Runtime Environment 6 Update 1 いずれも、一つ140MB前後あり、かなりのボリュームなのでできれば削除したいのですが。 よろしくお願いします。

  • Javaについて

    コントロールパネルの「プログラムの追加と削除」を開くと JS2SE Runtime Environment5.0Update6 JS2SE Runtime Environment5.0Update10 JS2SE Runtime Environment5.0Update11 Java(TM)SE Environment6.0Update1 以上がインストールされていました。初心者ながらJava(TM)SE Environment6.0Update1だけで十分なのではないかと思いますが、正確な回答を頂きたいと思います。 環境はCPU1700+、512MB、HDD40GB です。

  • Javaのアップデートについて教えてください

    Javaの 「J2SE Runtime Environment 5.0 Update 9」をインストールしました。 コントロールパネルに「J2SE Runtime Environment Version 5.0 Update 6」も あるのですが両方とも必要なものでしょうか?違いも教えてください。

  • プログラムの削除をしてもいいですか  これは 必要ですか?

    すべてのプログラムの追加と削除にある J2SE Runtime Environment5.0 Update6 J2SE Runtime Environment5.0 Update8 J2SE Runtime Environment5.0 Update11 Java(TM)6 SE Runtime Environment6 Update1 Java(TM)6 Update2 Java(TM)6 Update3 Java(TM)6 Update5 と言うのは何でしょうか? 削除してもいいですか? 数字が一番新しい大きい物がバージョンの新しいものだと思うのですが(updateしたとき大きい物が新しかったので) 数字の小さい物を削除すると同じ物がupdateされてる場合数字の一番大きい物を残せば最新版が残ると言う事でしょうか? 残した方がよければ、数字の大きい物だけを残したらいけませんか?

  • コントロールパネルにJavaが沢山あります。

    WindowsXPを使っています。 コントロールパネルでソフト一覧を確認したところ、Java(TM)の表示がいくつもありました。(添付画像をご覧ください) 今私のPCには、Version 6 Update 11の Java がインストールされています。 Version 6 Update 11以下のJavaは削除してしまってもいいのでしょうか? Java 以外にも、「J2SE Runtime Environment」の項目も同じように重複しています。 これも、現在インストールされているもの意外は削除して問題ありませんか?

  • javaのruntimeは最新のがあれば良いのですか

    winXPを使っています。 プログラムの追加と削除を見ると、java runtimeが以下のように 6個あります。 J2SE Runtime Environment 5.0 update 2 J2SE Runtime Environment 5.0 update 4 java 2 Runtime Environment, SE v1.4.1_02 java 2 Runtime Environment, SE v1.4.2_03 java 2 Runtime Environment, SE v1.4.2_05 java 2 Runtime Environment, SE v1.4.2_06 これらは全て必要なのでしょうか。 どれが最新なのか良くわかりませんが、最新のものを 残して他はアンインストールしてしまって良いのでしょうか。

    • ベストアンサー
    • Java
  • Javaをアインストールして、再インストールしたいのですが

    見ていただきありがとうございます。 Javaが壊れたのではないかと思うのでJavaをアインストールして、再インストールしたいのですが 自分のパソコンには ・J2SE Runtime Environment 5.0 ・J2SE Runtime Environment 5.0 update10 ・J2SE Runtime Environment 5.0 update11 ・J2SE Runtime Environment 5.0 update6 ・Java(TM)6 update2 ・Java(TM)6 update3 のjava関連が入っています。 javaのHPを見たところ最新ではないプログラムはアインストールしてもOKと書いてあったのでどれが古いソフトなのでしょうか? また、一端全部消して再インストールしたいのですが、どれをインストールし直せばいいのでしょうか? ご教授のほどよろしくお願いします。

  • [プログラムの追加と削除]これはアンインストールしてもいいのか

    プログラムの追加と削除を見ると、 J2SE Runtime Environment 5.0 Update 8 J2SE Runtime Environment 5.0 Update 9 J2SE Runtime Environment 5.0 Update 10 J2SE Runtime Environment 5.0 Update 11 と4つあるのですがこれは8~10は削除(アンインストール)してもよろしいのでしょうか? 同じように Java(TM) 6 Update 2 Java(TM) 6 Update 3 Java(TM) 6 Update 5 とあるのですが(なぜか4はないです)同様に削除してもよろしいのですか?